# Payments

The `payment` object is the core of the PayPro API. You can create payments to let a customer pay which ultimately transfers funds from them to you.
This allows you to setup one-time payments, recurring payments, subscriptions or invoices.
Refer to our [Creating payments guide](/docs/creating-payments) to see how you can implement payments.

 - [GET /payments/{id}](https://docs.paypro.nl/reference/api/payments/retrievepayment.md): Retrieves a single payment based on the id.
 - [DELETE /payments/{id}](https://docs.paypro.nl/reference/api/payments/cancelpayment.md): Cancels a payment. It is possible to cancel payment only in open or initialiazed state.
 - [GET /payments](https://docs.paypro.nl/reference/api/payments/retrievelistofpayments.md): Retrieve a list of payments that have been created for your account. The payments are sorted, with the most recent first.
 - [POST /payments](https://docs.paypro.nl/reference/api/payments/createpayment.md): Creates a Payment object. After you have created a Payment you can use the `_links.checkout` link to redirect your customer.
 - [GET /payments/{id}/chargebacks](https://docs.paypro.nl/reference/api/payments/retrievelistofchargebacksbypayment.md): Retrieves a list of chargebacks that belong to this payment.
 - [GET /payments/{id}/refunds](https://docs.paypro.nl/reference/api/payments/retrievelistofrefundsbypayment.md): Retrieves a list of refunds that belong to this payment.
 - [POST /payments/{id}/refunds](https://docs.paypro.nl/reference/api/payments/createrefundforpayment.md): Creates a Refund object for this Payment. Creating a refund will refund a certain amount back to the customer. This amount will be deducted from your balance. You can choose to only refund a part of
